if (etat_renverseur == 1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Professional reverser> What ? I didn't tell you I was charging you ?")
}

if (etat_renverseur < 1 && pinv.getSlotContainingItem(334) < 1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Professional reverser> Hi, I'm a professional reverser. If you need to turn an object upside down, just come see me.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("DON'T try to turn it by yourself, it requires years of training.")
}

if (etat_renverseur < 1 && pinv.getSlotContainingItem(334) != -1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Professional reverser> Hi, I'm a professional reverser. If you need to turn an object upside down, just come see me.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("DON'T try to turn it by yourself, it requires years of training.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("Well well ! You brought me something upside down ??")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("...")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("I see... This letter seems badly reversed.")
time.sleep(5);
sound.playSoundUI("sound.dialogues");
chat.print("It could be delicate to put it back the right way.")
time.sleep(5);
sound.playSoundUI("sound.dialogues");
chat.print("Fortunately, I am the cream of the reverser.")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("Move back please, I don't want you to be hurt in the process or to disturb my work.")
time.sleep(6);
sound.playSoundUI("sound.dialogues");
chat.print("...")
time.sleep(2);
sound.playSoundUI("sound.dialogues");
chat.print("...")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("Ghh...")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("GHHHHH !")
time.sleep(2);
sound.playSoundUI("sound.dialogues");
chat.print("...")
time.sleep(2);
sound.playSoundUI("sound.dialogues");
chat.print("Phew ! Here it is ! Your letter is now the right way up.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("It definitey is one of the most complicated cases I've had to treat in my career.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("It's 2 silver coins, thank you bye bye.")
time.sleep(2);
sound.playSoundUI("sound.piece");
pinv.consumeItemAmount(265,0,2);
pinv.consumeItemAmount(334,0,1);
pinv.addItem(new Item(329,1))
etat_renverseur=1;
etat_lettre2=2;
}